/*********************************************/
/* Variable */
/*********************************************/
:root {
  --base-font-size: 1.6rem;
  --base-line-height: 2;
  --container-gutter: 5rem;
  --container-width: 112rem;
  --header-height: 6.5rem;
  --scroll-offset: 6.5rem;
  --floating-buttons-height: 8rem;
  
  /* font color */
  --fc-base: #3c3c3c;
  --fc-green: #0ca26c;
  --fc-white: #fff;

  /* bg color */
  --bgc-green: #0ca26c;
  --bgc-green-light: #f0f9f1;
  --bgc-green-dark: #348266;
  --bgc-white: #fff;
  --bgc-white-dark: #f7f7f7;
  --bgc-gray: #505050;
  --bgc-orange: #fc9b59;
  --bgc-orange-light: #ffe781;
  --bgc-orange-dark: #f7920e;
  --bgc-orange-shadow: #b36d3f;
  --bgc-blue: #02c8ff;
  --bgc-blue-shadow: #028cb3;
  --bdc-gray: #e6e6e6;
  --bdc-gray-light: #f2f2f2;
  
  @media (width < 768px) {
    --container-gutter: 2.25rem;
    --container-width: 38.5rem;
    --floating-buttons-height: 12rem;
    --scroll-offset: calc(6.5 * 10 / 430 * 100vw);
  }
}




/*********************************************/
/* Reset */
/*********************************************/
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul, ol {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  width: 100%;
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

button,
input,
select,
textarea {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  margin: 0;
}

button {
  cursor: pointer;
  background: none;
  border: none;
  outline: none;
}

input,
textarea {
  outline: none;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: inherit;
  line-height: 1.2;
}

sup {
  font-size: 0.6em;
  line-height: 1.5;
  vertical-align: text-top;
}

em, address {
  font: inherit;
}




/*********************************************/
/* Base */
/*********************************************/
html, body {
  overflow-x: hidden;
}

html {
  -webkit-text-size-adjust: 100%;
  scroll-behavior: smooth;
  scroll-padding-top: var(--scroll-offset);
  @media (width < 768px) {
    font-size: calc(10 / 430 * 100vw);
  }
  @media (width >= 768px) {
    font-size: calc(10 / 1220 * 100vw);
  }
  @media (width >= 1220px) {
    font-size: 10px;
  }
}

body {
  padding-block-start: var(--header-height);
  background-color: var(--bgc-white);
  color: var(--fc-base);
  font-size: var(--base-font-size);
  font-feature-settings: "palt";
  font-family: "Roboto", '游ゴシック体', YuGothic, '游ゴシック', 'Yu Gothic', 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', 'ＭＳ Ｐゴシック', 'MS PGothic', 'メイリオ', sans-serif;
  font-weight: 500;
  letter-spacing: 0.04em;
  line-height: var(--base-line-height);

  &.preload * {
    transition: none !important;
  }
}




/*********************************************/
/* Layout */
/*********************************************/
/* Drawer */
.l-drawer-flag {
  display: none;
}

.l-drawer__container {
  --drawer-padding-block-start: 9.5rem;
  --drawer-padding-block-end: 4.8rem;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 70;
  background-color: var(--bgc-green-dark);
  padding-inline: 4.8rem;
  padding-block: var(--drawer-padding-block-start) var(--drawer-padding-block-end);
  border-radius: 0 0 0 3rem;
  max-width: 100vw;
  color: var(--fc-white);
  translate: 100% 0;
  transition: translate .3s ease-in-out;
  @media (width < 768px) {
    --drawer-padding-block-start: 8.2rem;
    --drawer-padding-block-end: 6.5rem;
    padding-inline: 5.4rem;
  }

  .l-drawer__toggle {
    position: absolute;
    top: 1.5rem;
    right: 2.2rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    color: var(--fc-white);
    @media (width < 768px) {
      right: 2rem;
    }

    .label {
      font-size: 1.4rem;
      font-weight: 700;
      text-transform: uppercase;
      @media (width < 768px) {
        font-size: 1.6rem;
      }
    }

    .icon {
      background-color: var(--bgc-white);
      color: var(--bgc-green-dark);
      border-radius: 50%;
    }

    .icon__inner {
      width: 55%;
      background-color: transparent;

      &::before {
        inset-block: 0;
        rotate: 45deg;
      }

      &::after {
        inset-block: 0;
        rotate: -45deg;
      }
    }
  }

  .contents {
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: none;
    @media (width >= 768px) {
      height: calc(100dvh - var(--drawer-padding-block-start) - var(--drawer-padding-block-end));
    }
    @media (width < 768px) {
      height: calc(100dvh - var(--drawer-padding-block-start) - var(--drawer-padding-block-end));
    }
  
    &::-webkit-scrollbar {
      display: none;
    }
  
    .main-menu ,
    .sub-menu {
      display: flex;
      flex-direction: column;
      a {
        &:hover {
          text-decoration: underline;
        }
      }
    }
    .main-menu {
      gap: 1.4rem;
      font-size: 1.8rem;
      font-weight: 700;
      @media (width < 768px) {
        gap: 1rem;
        font-size: 2rem;
      }
  
      a {
        &:hover {
          text-decoration-thickness: 2px;
          text-underline-offset: .5rem;
          /* background-image: linear-gradient(to bottom, currentColor);
          background-size: 100% 40%;
          background-repeat: no-repeat;
          background-position: 0 100%; */
        }
      }
    }
    .sub-menu {
      margin-block-start: 3.5rem;
      font-size: 1.4rem;
      @media (width < 768px) {
        gap: .6rem;
        margin-block-start: 3rem;
      }
    }
  }
}

.l-drawer__toggle {
  cursor: pointer;
  transition: opacity .3s ease-in-out;
  &:hover {
    opacity: .7;
  }

  .icon {
    display: block;
    aspect-ratio: 1 / 1;
    width: 4rem;
    position: relative;
    @media (width < 768px) {
      width: 4.5rem;
    }
  }
  
  .icon__inner {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    translate:-50%;
    width: 100%;
    height: 2px;
    background-color: currentColor;

    &::before,
    &::after {
      content: "";
      position: absolute;
      left: 0;
      height: 100%;
      width: 100%;
      background-color: currentColor;
    }
    &::before {
      bottom: 1rem;
    }
    &::after {
      top: 1rem;
    }
  }
}

body:has(#drawer-flag:checked) {
  .l-drawer__container {
    translate: 0 0;
  }
}


/* Header */
.l-header {
  position: fixed;
  top: 0;
  inset-inline: 0;
  z-index: 50;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-inline: 2.2rem;
  height: var(--header-height);
  background-color: var(--bgc-white);
  @media (width < 768px) {
    padding-inline: 1.2rem 2rem;
  }
}

.l-header__logo {
  width: 17.5rem;
  transition: opacity .3s ease-in-out;
  @media (width < 768px) {
    width: 18.4rem;
  }
  &:hover {
    opacity: .7;
  }
}


/* Footer */
.l-footer {
  padding-block: 5.5rem;
  background-color: var(--bgc-gray);
  color: var(--fc-white);
  @media (width < 768px) {
    padding-block: 4.5rem 0;
    padding-inline: 1rem;
  }
}

.l-footer__row {
  display: flex;
  gap: 5rem;
  @media (width >= 768px) {
    align-items: flex-end;
    justify-content: space-between;
  }
  @media (width < 768px) {
    flex-direction: column;
  }
}

/* .l-footer__column {
  &:nth-child(2) {
    @media (width >= 768px) {
      flex-shrink: 0;
    }
  }
} */

.l-footer__address {
  display: flex;
  flex-direction: column;
  gap: .6rem;
  font-style: normal;
  @media (width < 768px) {
    gap: .5rem;
  }
  .name {
    font-size: 1.8rem;
    font-weight: 700;
    @media (width >= 768px) {
      letter-spacing: 0.1em;
    }
    @media (width < 768px) {
      font-size: 2rem;
    }
  }
}

.l-footer__links {
  display: flex;
  margin-block-start: .8rem;
  font-size: 1.4rem;
  line-height: calc(18.5 / 14);
  @media (width < 768px) {
    margin-block-start: 1.8rem;
  }

  li {
    padding-inline: 1em;
    &:not(:last-child) {
      border-right: 1px solid currentColor;
    }
    &:first-child {
      padding-inline-start: 0;
    }
    &:last-child {
      padding-inline-end: 0;
    }
  }

  a {
    &:hover {
      text-decoration: underline;
    }
  }
}

.l-footer__copyright {
  font-size: 1.2rem;
  letter-spacing: 0;
  @media (width >= 768px) {
    white-space: nowrap;
  }
  @media (width < 768px) {
    margin-inline: calc(50% - 50vw);
    padding-block: 2.2rem;
    border-block-start: 1px solid #646464;
    text-align: center;
  }
}


/* Other */
.l-container {
  margin-inline: auto;
  width: min(var(--container-width), 100% - var(--container-gutter) * 2);
}

.l-floating-bar {
  position: fixed;
  bottom: 0;
  inset-inline: 0;
  z-index: 50;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3.3rem;
  height: var(--floating-buttons-height);
  background-color: var(--bgc-white);
  translate: 0 100%;
  transition: translate .3s ease-in-out;
  @media (width < 768px) {
    flex-direction: column;
    gap: .2rem;
  }

  &.is-active {
    translate: 0 0;
  }
}

.l-floating-bar__heading {
  color: var(--fc-green);
  font-size: 2.6rem;
  font-weight: 600;
  letter-spacing: 0.12em;
  @media (width < 768px) {
    font-size: 1.7rem;
  }
}

.l-floating-bar__buttons {
  padding-block-end: .8rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: .8rem;
  @media (width < 768px) {
    gap: 1.4rem;
    padding-block-end: 1rem;
  }
}




/*********************************************/
/* Utility */
/*********************************************/
.u-hide-pc {
  @media (width >= 768px) {
    display: none;
  }
}
.u-hide-sp {
  @media (width < 768px) {
    display: none;
  }
}
.u-pt-0 {
  padding-block-start: 0 !important;
}
.u-pb-0 {
  padding-block-end: 0 !important;
}
.u-ta-r {
  text-align: right;
}
.u-effect-fade-up {
  @media (width >= 768px) {
    translate: 0 5rem;
    opacity: 0;
    transition: .6s ease-in-out;
    transition-property: translate, opacity;
    &.is-inview {
      translate: 0 0;
      opacity: 1;
    }
  }
}


/*********************************************/
/* Component */
/*********************************************/
/* section */
.c-section {
  padding-block: 12rem;
  @media (width < 768px) {
    padding-block: 8rem;
  }

  &.--green {
    background-color: var(--bgc-green);
  }
  &.--green-dark {
    background-color: var(--bgc-green-dark);
  }
  &.--green-light {
    background-color: var(--bgc-green-light);
  }
  &.--white-dark {
    background-color: var(--bgc-white-dark);
  }
}

/* heading */
.c-heading-01 {
  margin-block-end: 4.8rem;
  color: var(--fc-green);
  font-size: 5rem;
  font-weight: 700;
  letter-spacing: .1em;
  line-height: 1.5;
  text-align: center;
  @media (width < 768px) {
    margin-block-end: 3rem;
    font-size: 3.2rem;
  }
  ~ .c-heading-01 {
    margin-block-start: 9rem;
    @media (width < 768px) {
      margin-block-start: 6rem;
    }
  }
  &:first-child {
    margin-block-start: 0;
  }
  &:last-child {
    margin-block-end: 0;
  }
  &.--white {
    color: var(--fc-white);
  }
}
.c-heading-02 {
  font-size: 1.8rem;
  font-weight: 700;
  line-height: calc(32/18);
  @media (width >= 768px) {
    letter-spacing: 0.1em;
  }
  @media (width < 768px) {
    font-size: 2.4rem;
    line-height: calc(34/24);
  }
}

/* text */
.c-lead-01 {
  font-size: 2.8rem;
  font-weight: 700;
  line-height: calc(53/28);
  letter-spacing: 2px;
  text-align: center;
  @media (width < 768px) {
    font-size: 1.8rem;
    line-height: calc(35/18);
  }

  em {
    text-decoration: underline;
    text-decoration-color: var(--bgc-orange-light);
    text-decoration-skip-ink: none;
    text-decoration-thickness: calc(13/28*1em);
    text-underline-offset: -0.25em;
  }
}

.c-note-01 {
  font-size: 1.2rem;
  letter-spacing: 0.1em;
  line-height: calc(20/12);
  small {
    font-size: 1em;
  }

  &.--section-bottom {
    @media (width >= 768px) {
      margin-block-start: 9.6rem;
      margin-inline-start: auto;
      width: fit-content;
    }
    @media (width < 768px) {
      margin-inline-start: 1em;
      margin-block-start: 6rem;
    }
  }
}

/* button */
.c-button-01 {
  /*
    変数
    --button-width
    --button-height
    --button-bg
    --button-shadow-bg
    --button-shadow-height
    --button-font-size
    --button-line-height
  */
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--button-gap, 1rem);
  width: var(--button-width);
  min-height: var(--button-height);
  background-color: var(--button-bg);
  box-shadow: 0 var(--button-shadow-height) 0 var(--button-shadow-bg);
  color: var(--button-color, var(--fc-white));
  font-size: var(--button-font-size, 1.6rem);
  font-weight: 700;
  letter-spacing: 0.1em;
  line-height: calc(23/18);
  text-align: center;
  transition: .1s ease-in-out;
  transform: translateY(0);
  transition-property: transform, box-shadow;
  @media (width >= 768px) {
    --button-width: 26rem;
    --button-height: 6.4rem;
    --button-shadow-height: .8rem;
    --button-font-size: 2.1rem;
    border-radius: 1rem;
  }
  @media (width < 768px) {
    --button-width: 30rem;
    --button-height: 5.6rem;
    --button-shadow-height: 1rem;
    --button-font-size: 2rem;
    border-radius: 1.2rem;
  }
  &:hover {
    transform: translateY(var(--button-shadow-height));
    box-shadow: 0 0 0 var(--button-shadow-bg);
  }
  &:has(.arrow) {
    padding-inline-end: 2rem;
    @media (width < 768px) {
      padding-inline-end: 1rem;
    }
  }

  .arrow {
    position: absolute;
    top: 50%;
    right: 1.6rem;
    display: grid;
    place-content: center;
    translate: 0 -50%;
    aspect-ratio: 1/1;
    width: 2.4rem;
    border-radius: 50%;
    background-color: var(--bgc-white);
    color: var(--button-bg);
    @media (width < 768px) {
      right: 1.6rem;
    }

    &::before {
      content: "";
      display: block;
      aspect-ratio: 1/1;
      width: .6rem;
      border: solid currentColor;
      border-width: 2px 2px 0 0;
      rotate: 45deg;
      translate: -15% 0;
    }
  }

  /* color */
  &.--orange {
    --button-bg: var(--bgc-orange);
    --button-shadow-bg: var(--bgc-orange-shadow);
  }
  &.--blue {
    --button-bg: var(--bgc-blue);
    --button-shadow-bg: var(--bgc-blue-shadow);
  }

  /* usage */
  .mainvisual &,
  &.--mv {
    @media (width >= 768px) {
      --button-width: 26rem;
      --button-height: 6.4rem;
      --button-font-size: 2.2rem;
    }
    @media (width < 768px) {
      --button-width: 18.8rem;
      --button-height: 6.8rem;
      --button-font-size: 1.8rem;
    }
    &:has(.arrow) {
      padding-inline-end: 1.5rem;
      @media (width < 768px) {
        padding-inline-end: .6rem;
      }
    }
    .arrow {
      @media (width < 768px) {
        right: 1.2rem;
      }
    }
  }
  .l-floating-bar &,
  &.--floating {
    @media (width >= 768px) {
      --button-width: 22rem;
      --button-height: 4rem;
      --button-font-size: 1.8rem;
    }
    @media (width < 768px) {
      --button-width: 18.6rem;
      --button-height: 5.3rem;
      --button-font-size: 1.6rem;
    }
    &:has(.arrow) {
      padding-inline-end: 1.5rem;
      @media (width < 768px) {
        padding-inline-end: 1rem;
      }
    }
    .arrow {
      right: 1rem;
      @media (width < 768px) {
        right: 1.2rem;
      }
    }
  }
}

.c-button-02 {
  position: relative;
  display: grid;
  place-content: center;
  border-radius: 50vw;
  min-height: 4.2rem;
  font-size: 1.6rem;
  font-weight: 700;
  color: var(--fc-green);
  border: .2rem solid;
  transition: opacity .3s ease-in-out;
  @media (width < 768px) {
    min-height: 6rem;
  }

  &.--has-icon {
    &::after {
      content: "";
      position: absolute;
      top: 50%;
      right: 1rem;
      translate: 0 -50%;
      display: block;
      aspect-ratio: 1/1;
      width: 2.4rem;
      background: no-repeat center / contain;
      @media (width < 768px) {
        right: 1.4rem;
        width: 3rem;
      }
    }
  }
  &.--open::after {
    background-image: url(/lp/urikake/assets/images/common/icn_open_01.svg);
  }
  &.--close::after {
    background-image: url(/lp/urikake/assets/images/common/icn_close_01_gray.svg);
  }

  &:hover {
    opacity: .7;
  }
}

.c-contact-section {
  padding-block: 5rem 6rem;
  background-color: var(--bgc-green);
  color: var(--fc-white);
  @media (width < 768px) {
    padding-block: 4rem 6.5rem;
  }

  .heading {
    margin-block-end: 1.2rem;
    font-size: 2.6rem;
    font-weight: 700;
    letter-spacing: 0.1em;
    text-align: center;
    @media (width < 768px) {
      margin-block-end: .2rem;
      font-size: 1.8rem;
    }

    &::before ,
    &::after {
      content: "|";
      display: inline-block;
      margin-inline: 1.2rem;
      scale: 1.3;
      rotate: -25deg;
      @media (width < 768px) {
        scale: 1.1;
      }
    }
    &::after {
      rotate: 25deg;
    }
  }

  .buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2.8rem;
    @media (width < 768px) {
      flex-direction: column;
      gap: 2rem;
    }
  }
}



/* モーダル全体のオーバーレイ */
.modal {
  display: none;
}

.modal.is-open {
  display: block;
}

.modal__overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* モーダルコンテナ */
.modal__container {
  position: relative;
  max-height: 100vh;
  padding-block: 5vh;
  overflow-y: auto;
  scrollbar-width: none;
  &::-webkit-scrollbar {
    display: none;
  }
}

/* アニメーション */
@keyframes mmfadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

@keyframes mmfadeOut {
  from { opacity: 1; }
  to { opacity: 0; }
}

@keyframes mmslideIn {
  from { transform: translateY(-15%); }
  to { transform: translateY(0); }
}

@keyframes mmslideOut {
  from { transform: translateY(0); }
  to { transform: translateY(-10%); }
}

.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
  animation: mmfadeIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
  animation: mmslideIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
  animation: mmfadeOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
  animation: mmslideOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}
